if ('undefined' == typeof(MailSleuthCompose)) {
    var MailSleuthCompose = {
        cstrAddressee: "trace-request@mailsleuthonline.com",
        onLoad: function() {
            if (gMsgCompose) {
                gMsgCompose.RegisterStateListener(MailSleuthstateListener);
            }
        },
        onUnload: function() {
            if (gMsgCompose) {
                gMsgCompose.UnregisterStateListener(MailSleuthstateListener);
            }
        },
        onReopen: function(params) {
            if (gMsgCompose && gMsgCompose.compFields.to == MailSleuthCompose.cstrAddressee) {
                gMsgCompose.editor.QueryInterface(nsIPlaintextEditorMail).wrapWidth = 1000;
            }
        },
        Dump: function(aMessage){
            var consoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
            consoleService.logStringMessage("MailSleuth: " + aMessage);
    }
    };
}

if ('undefined' == typeof(MailSleuthstateListener)) {
    var MailSleuthstateListener = {
        NotifyComposeFieldsReady: function() {
            if (gMsgCompose && gMsgCompose.compFields.to == MailSleuthCompose.cstrAddressee) {
                gMsgCompose.editor.QueryInterface(nsIPlaintextEditorMail).wrapWidth = 1000;
            }
        },
        NotifyComposeBodyReady: function() {},
        ComposeProcessDone: function(aResult) {},
        SaveInFolderDone: function(folderURI) {}
    };
}

window.addEventListener("load", function(e) {MailSleuthCompose.onLoad(e);}, false);
window.addEventListener("unload", function() {MailSleuthCompose.onUnload();}, false);
window.addEventListener("compose-window-reopen", function(e) {MailSleuthCompose.onReopen(e);}, true);